## Nice

### Description

Provide "nice-ness" to the current thread and/or query the current value.

### Parameters

Attribute | Description | Required
currentpriority | the name of the property whose value should be set to the current "nice-ness" level. | No
newpriority | the value to which the "nice-ness" level should be set. Must be a valid Java Thread priority. | No

### Examples

       <nice newpriority="10"/>

Set the Thread priority to 10 (highest).

       <nice currentpriority="priority"/>

Store the current Thread priority in the user property "priority".

       <nice currentpriority="currentpriority" newpriority="1"/>

Set the current Thread priority to 1 (lowest), storing the original priority in the user property "currentpriority". This can be used to set the priority back to its original value later.